{
  config,
  pkgs,
  ...
}: let
  host = "127.0.0.1";
  port = 8008;
in {
  services.seafile = {
    enable = true;
    adminEmail = "snorre@altschul.dk";
    seahubAddress = "http://${host}:${toString port}";
    # seafileSettings.fileserver = {
    # inherit host port;
    # };
  };
  services.nginx.virtualHosts."files.spoodythe.one" = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://${host}:${toString port}";
    };
  };

  # Open port 80 and 443 for reverse proxy
  networking.firewall.allowedTCPPorts = [80 443];
  networking.firewall.allowedUDPPorts = [80 443];
}
