{...}: let
  host = "127.0.0.1";
  port = 8989;
in {
  users.extraUsers.sonarr.extraGroups = ["jellyfin"]; # Access to the media folder
  services.sonarr = {
    enable = true;
    openFirewall = true;
  };
  services.rtorrent = {
    enable = true;
    dataDir = "/mnt/rtorrent";
    user = "rtorrent";
    group = "rtorrent";
    port = 9999;
  };

  services.nginx.virtualHosts."sonarr.spoodythe.one" = {
    addSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://${host}:${toString port}";
    };
  };
}
